$horizontal-move-primary: 10rem;
$horizontal-move-secondary: 1rem;

$vertical-move-primary: 3rem;

@keyframes moveInRight {
    0% {
        opacity: 0;
        transform: translateX($horizontal-move-primary);
    }

    80% {
        transform: translateX(-$horizontal-move-secondary);
    }

    100% {
        opacity: 1;
        transform: translateX(0);
    }
}

@keyframes moveInLeft {
    0% {
        opacity: 0;
        transform: translateX(-$horizontal-move-primary);
    }

    80% {
        transform: translateX($horizontal-move-secondary);
    }

    100% {
        opacity: 1;
        transform: translateX(0);
    }
}

@keyframes moveInBottom {
    0% {
        opacity: 0;
        transform: translateY($vertical-move-primary);
    }

    100% {
        opacity: 1;
        transform: translateY(0);
    }
}
